Bug 2431 - testDetachClone(frysk.proc.TestTaskObserverDetach) ...<<XXX: pending signal USR1>>PASS
Summary: testDetachClone(frysk.proc.TestTaskObserverDetach) ...<<XXX: pending signal U...
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andrew Cagney
URL:
Keywords:
Depends on:
Blocks: 2359
  Show dependency treegraph
 
Reported: 2006-03-07 22:14 UTC by Andrew Cagney
Modified: 2006-03-27 03:23 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Cagney 2006-03-07 22:14:42 UTC
the test is leaving a signal dangling
Comment 1 Andrew Cagney 2006-03-27 03:23:44 UTC
Index: frysk-core/frysk/proc/ChangeLog
2006-03-26  Andrew Cagney  <cagney@redhat.com>

        * TestTaskObserverDetach.java: Check that the ack signal, after a
        fork, clone, or exec, is received.
        * TestTaskObserver.java (detach): Add boolean shouldStillHaveTasks
        making the check for tasks conditional.
        (detachExitingTask): Do not expect any tasks after the detach.
        * TestLib.java (await): Add String, aka reason, parameter.
        (execAck, spawnAck): New.
        (tearDown): Re-implement pehding signal code, to assert that tere
        are no bad pending signals.
        * TaskState.java: When in detaching state, skip terminating,
        terminated, fork, exec, and clone events.